## NAME

d.rgb - Displays three user-specified raster maps as red, green, and blue overlays in the active graphics frame.

## KEYWORDS

display, raster, RGB

## SYNOPSIS

d.rgb
d.rgb help
d.rgb [-ox] red=name green=name blue=name [--verbose] [--quiet]

### Flags:

-o
  Overlay (non-null values only)
-x
  Don't add to list of commands in monitor
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

red=name
  Name of raster map to be used for 'red'
green=name
  Name of raster map to be used for 'green'
blue=name
  Name of raster map to be used for 'blue'

## DESCRIPTION

RGB stands for red, green, and blue. This program visually combines three raster map layers to form a color image. For each layer, the corresponding component from the layer's color table is used (e.g. for the red layer, the red component is used, and so on). In general, the layers should use a grey-scale color table.

## OPTIONS

### Flags:

-o
  Overlay the resulting raster map layer onto whatever is already displayed in the active graphics frame. Any no-data areas in any of the named raster maps will seem transparent, and reveal the underlying image previously displayed in the graphics frame. If the -o flag is set, only cells containing non-null values will be displayed from the overlaid raster map. All other areas (i.e., the portions of the overlaid map that contain null values) will leave the underlying display untouched.

### Parameters:

red=name
  Name of raster map layer to be used for RED component.
green=name
  Name of raster map layer to be used for GREEN component.
blue=name
  Name of raster map layer to be used for BLUE component.

## NOTES

This is a new version of d.rgb, which sends the data to the graphics monitor in true-color RGB format. Unlike the previous version, it does not attempt to quantize the combined image into a fixed number of colors. Nor does it have an option to generate a composite layer. The image and raster map layers will not display properly if the graphics device does not have a reasonable sampling of the RGB color-space.

If color quality of satellite image color composites seems to appear poor, run r.colors on the selected satellite channels.

Example:

  r.info -r image.1
  `min=0
  max=255`
  r.colors map=image.1 color=rules << EOF
  0 black
  255 white
  EOF
  r.colors map=image.2 rast=image.1
  r.colors map=image.3 rast=image.1

Note: Future GRASS versions may do this for you automatically.
To write out the color composite to a R/G/B raster maps, use r.composite.

## SEE ALSO

d.colors
d.colortable
d.his
r.blend
r.mapcalc
r.colors
r.composite

## AUTHOR

Glynn Clements

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team